%define srcname bunch

Name:          python-%{srcname}
Version:       1.0.1
Release:       %mkrel 6
Summary:       Python dictionary with attribute-style access

Group:         Development/Python
License:       MIT
URL:           http://github.com/dsc/bunch
Source0:       http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python-devel
BuildRequires: dos2unix
BuildRequires: python-setuptools
BuildRequires: python-nose

%description
python-bunch provides a python class which can perform as a dict whose keys are
also accessible as attributes, similar to JavaScript objects.  For instance::

  >>> import bunch
  >>> people = bunch.Bunch({'alice': 'here', 'bob': 'there'})
  >>> print people['alice'], people.alice
  here here

The piece of python-bunch that sets it apart from similar modules found inside
other projects is the bunchify() function which recursively converts from
a dict to a Bunch::

  >>> multi_level = {'array': ['scalar', {'mapping': 'to show recursion'} ]}
  >>> bunch.bunchify(multi_level)
  Bunch(array=['scalar', Bunch(mapping='to show recursion')])

%prep
%setup -q -n %{srcname}-%{version}
dos2unix LICENSE.txt README.rst

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{python_sitelib}/bunch/test.*

%check
PYTHONPATH=build/lib nosetests --with-doctest
PYTHONPATH=build/lib python build/lib/bunch/test.py

%files
%doc LICENSE.txt README.rst
%{python_sitelib}/*



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 947770
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 743769
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-4.mga5
+ Revision: 728113
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 687910
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 21 2014 philippem <philippem> 1.0.1-1.mga5
+ Revision: 595319
- imported package python-bunch

